This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 152036 - Amanda hangs on backup in case of ip_conntrack_amanda is used (RHEL4)
Amanda hangs on backup in case of ip_conntrack_amanda is used (RHEL4)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-03-24 11:00 EST by Peter Bieringer
Modified: 2013-03-06 00:58 EST (History)
6 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 13:49:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2005-03-24 11:00:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; de-DE; rv:1.7.6) Gecko/20050321 Firefox/1.0.2

Description of problem:
Same issue as in FC3 found for 2.6.9 series and and older 2.6.10


Version-Release number of selected component (if applicable):
kernel-2.6.9-5.0.3.EL

How reproducible:
Always

Steps to Reproduce:
1. see other bugzilla entries below
2.
3.
  

Actual Results:  Not working

Expected Results:  Working

Additional info:

Workaround on amanda server (the one which runs "amdump"):

# rmmod ip_conntrack_amanda
# iptables -I OUTPUT -p tcp -d $IP_CLIENT -j ACCEPT

Workaround on amanda client (the one which runs "amdump"):

# rmmod ip_conntrack_amanda
# iptables -I INPUT -p tcp -d $IP_CLIENT -j ACCEPT

not so secure anymore...

See also:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=142745
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=143803
Comment 12 Red Hat Bugzilla 2006-03-07 13:49:57 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html
Comment 13 Peter Bieringer 2006-03-13 07:28:03 EST
Verified, can confirm this issue is fixed now, workaround in my firewall setup
is disabled now.

Found also related entry in changelog of kernel-2.6.spec:
* Mon Oct 24 2005 Jason Baron <jbaron@redhat.com> [2.6.9-22.6]
-fix packet corruption in ip_conntrack_amanda (Jeff Layton) [152036]


Note You need to log in before you can comment on or make changes to this bug.